Lists all files attached to a specific owner, filtered by the current user's view permissions.
curl --request GET \
--url https://{install}/api/file/{ownerType}/{ownerId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{install}/api/file/{ownerType}/{ownerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{install}/api/file/{ownerType}/{ownerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/file/{ownerType}/{ownerId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

[
{
"entity": "<string>",
"owner": 123,
"ownerId": "<string>",
"uid": "<string>",
"filename": "<string>",
"mimeType": "<string>",
"length": 123,
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
]Files & Storage
Lists all files attached to a specific owner, filtered by the current user's view permissions.
GET
/
api
/
file
/
{ownerType}
/
{ownerId}
Lists all files attached to a specific owner, filtered by the current user's view permissions.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Path Parameters
The type of entity that owns the files (e.g. Item, Annotation).
The unique identifier of the owning entity.
⌘I